Requirements
============

GTK+ >= 2.16
GtkSourceView >= 2.10
GLib >= 2.28
libgee
unique
gdk-x11
x11
CMake >= 2.6.4
gettext
ITS Tool (http://itstool.org/)
gsettings-desktop-schemas (optional)
Vala 0.12.x >= 0.12.1 (may be optional)

If you are installing LaTeXila from a tarball, you don't have to install Vala
because the C code is already generated.

You also probably want to install Latexmk or Rubber. Latexmk is used by default
for compiling documents.


Simple install procedure
========================

$ cd build/			# go to the build directory
$ cmake ../			# run the Makefile generator
$ make				# build LaTeXila
[ Become root if necessary ]
$ make install			# install LaTeXila


Simple uninstall procedure
==========================

All the files installed are listed in the "install_manifest.txt" file.
So you can uninstall LaTeXila by doing this:

$ cd build/
[ Become root if necessary ]
$ xargs rm < install_manifest.txt


Configuration
=============

* Change the install directory

	Default value: /usr/local/

	Run cmake with this option:
	-DCMAKE_INSTALL_PREFIX=/path/to/install/directory/


* Generate the C code from the Vala files

	Default value: OFF in tarballs; ON in Git.

	Run cmake with this option:
	-DBUILD_VALA=ON


* Better integration with GNOME, depends on gsettings-desktop-schemas

	Default value: OFF

	Run cmake with this option:
	-DWITH_GNOME=ON

	The only use of this is for knowing the system fixed width font (most
	probably "Monospace 10").


* GSettings schema compilation (with glib-compile-schemas)

	Default value: ON

	To disable this option, run cmake with:
	-DCOMPILE_SCHEMA=OFF

	Useful for packages.
